Bug 1292621 - jenkins-ephemeral template points at centos instead of rhel
jenkins-ephemeral template points at centos instead of rhel
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Parees
Wang Haoran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 18:11 EST by Eric Jones
Modified: 2016-01-26 14:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise v3.1
Last Closed: 2016-01-26 14:20:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2015-12-17 18:11:00 EST
Description of problem:
jenkins-ephemeral template points at centos instead of rhel

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. oc get templates -n openshift jenkins-ephemeral  -ojson | grep -e 'centos' -e 'rhel'

Actual results:
"value": "openshift/jenkins-1-centos7"

Expected results:
the same but with rhel
Comment 1 Ben Parees 2015-12-17 18:14:30 EST
This has already been fixed, the current template points to the jenkins imagestream, so you'll get whatever image your jenkins imagestream points to:

https://github.com/openshift/origin/blob/master/examples/jenkins/jenkins-ephemeral-template.json#L81

you can replace the template in your installation with that one to pick up the change.  (you need to ensure you have a jenkins imagestream defined in the openshift namespace, however).
Comment 2 Ben Parees 2015-12-17 18:15:02 EST
on_qa to validate the new version of the template makes it into the next OSE release.
Comment 5 Eric Jones 2015-12-21 10:15:03 EST
Hi,

The customer also identified the following templates as pointing to centos rather than RHEL:

"value": "openshift/mysql-55-centos7"
"value": "openshift/mysql-55-centos7"
"value": "openshift/postgresql-92-centos7"
"value": "openshift/jenkins-1-centos7"
"value": "openshift/jenkins-1-centos7"
"value": "openshift/mongodb-24-centos7"
"value": "openshift/postgresql-92-centos7"

These should also be pointing to imagestreams rather than centos images.

Thanks
Comment 8 errata-xmlrpc 2016-01-26 14:20:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0070

Note You need to log in before you can comment on or make changes to this bug.